spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Ash <and...@andrewash.com>
Subject Re: Compile failure with SBT on master
Date Tue, 17 Jun 2014 05:04:31 GMT
Maybe it's a Mac OS X thing?


On Mon, Jun 16, 2014 at 9:57 PM, Ted Yu <yuzhihong@gmail.com> wrote:

> I used the same command on Linux and it passed:
>
> Linux k.net 2.6.32-220.23.1.el6.YAHOO.20120713.x86_64 #1 SMP Fri Jul 13
> 11:40:51 CDT 2012 x86_64 x86_64 x86_64 GNU/Linux
>
> Cheers
>
>
> On Mon, Jun 16, 2014 at 9:29 PM, Andrew Ash <andrew@andrewash.com> wrote:
>
> > I can't run sbt/sbt gen-idea on a clean checkout of Spark master.
> >
> > I get resolution errors on junit#junit;4.10!junit.zip(source)
> >
> > As shown below:
> >
> > aash@aash-mbp /tmp/git/spark$ sbt/sbt gen-idea
> > Using /Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Home as
> > default JAVA_HOME.
> > Note, this will be overridden by -java-home if it is set.
> > [info] Loading project definition from
> > /private/tmp/git/spark/project/project
> > [info] Loading project definition from /private/tmp/git/spark/project
> > [info] Set current project to root (in build
> file:/private/tmp/git/spark/)
> > [info] Creating IDEA module for project 'assembly' ...
> > [info] Updating {file:/private/tmp/git/spark/}core...
> > [info] Resolving org.fusesource.jansi#jansi;1.4 ...
> > [warn] [FAILED     ] junit#junit;4.10!junit.zip(source):  (0ms)
> > [warn] ==== local: tried
> > [warn]   /Users/aash/.ivy2/local/junit/junit/4.10/sources/junit.zip
> > [warn] ==== public: tried
> > [warn]   http://repo1.maven.org/maven2/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== Maven Repository: tried
> > [warn]
> > http://repo.maven.apache.org/maven2/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== Apache Repository: tried
> > [warn]
> >
> >
> https://repository.apache.org/content/repositories/releases/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== JBoss Repository: tried
> > [warn]
> >
> >
> https://repository.jboss.org/nexus/content/repositories/releases/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== MQTT Repository: tried
> > [warn]
> >
> >
> https://repo.eclipse.org/content/repositories/paho-releases/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== Cloudera Repository: tried
> > [warn]
> >
> >
> http://repository.cloudera.com/artifactory/cloudera-repos/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== Pivotal Repository: tried
> > [warn]
> > http://repo.spring.io/libs-release/junit/junit/4.10/junit-4.10.zip
> > [warn] ==== Maven2 Local: tried
> > [warn]   file:/Users/aash/.m2/repository/junit/junit/4.10/junit-4.10.zip
> > [warn] ::::::::::::::::::::::::::::::::::::::::::::::
> > [warn] ::              FAILED DOWNLOADS            ::
> > [warn] :: ^ see resolution messages for details  ^ ::
> > [warn] ::::::::::::::::::::::::::::::::::::::::::::::
> > [warn] :: junit#junit;4.10!junit.zip(source)
> > [warn] ::::::::::::::::::::::::::::::::::::::::::::::
> > sbt.ResolveException: download failed: junit#junit;4.10!junit.zip(source)
> >
> > By bumping the junit dependency to 4.11 I'm able to generate the IDE
> files.
> >  Are other people having this problem or does everyone use the maven
> > configuration?
> >
> > Andrew
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message